<?
require_once ('system/func.php');
auth();
$title = 'Загрузка аватара';
require_once ('system/header.php');
if(!empty($user['avatars']) and isset($_GET['delete'])){
unlink('images/avatars/'.$user['avatars']);
mysql_query("update `users` set `avatars` = '' WHERE `id` = '$myID' LIMIT 1");
$_SESSION['msg'] = 'Аватар успешно удален';
header('Location: ?');
exit();
}
if(isset($_GET['action'])){
if($_FILES["filename"]["size"] > 1024*1*1024) $err = 'Максимальный размер файла 1 МБ';
if(!is_uploaded_file($_FILES["filename"]["tmp_name"])) $err = 'Ошибка загрузки файла';
$file_type = $_FILES['filename']['type'];
if($file_type != 'image/png' && $file_type != 'image/jpg' && $file_type != 'image/jpeg') $err = 'Формат файла не поддерживается';
if(!isset($err)){
if(!empty($user['avatars']))unlink('images/avatars/'.$user['avatars']);
$files = rand(1448,5448)."_".rand(1448,5448)."_".$_FILES["filename"]["name"];
move_uploaded_file($_FILES["filename"]["tmp_name"], "images/avatars/$files");
mysql_query("update `users` set `avatars` = '".text($files)."' WHERE `id` = '$myID' LIMIT 1");
$_SESSION['msg'] = 'Аватар успешно сменен';
header('Location: ?');
exit();
}else{
$_SESSION['msg'] = $err;
header('Location: ?');
exit();
}

$files = $user['id'];
move_uploaded_file($_FILES['filename']['tmp_name'], "../style/spach/avatar/".$user['sex']."/".$user['side']."/".$files.".png");
mysql_query("UPDATE `user` SET `avatars`='".text($files)."' WHERE `id`='".$user['id']."' limit 1");
header('Location: ?');
exit;


}
echo "<div class='wrapper mt2'>";
if(!empty($user['avatars'])){
echo "<center><img src='/images/avatars/$user[avatars]' style='max-width:180px; max-height:160px;'></center>";
}else{
echo "<center><img src='/images/avatars/noavatar.png'></center>";
}
echo "</div>";
echo "<div class='wrapper mt2'>";

echo '<div class="block center">Разрешено выгружать файлы форматом: png, jpg, jpeg<form action="?action" method="post" enctype="multipart/form-data">
*Выберите файл:<br /><input type="file" name="filename"><br />
<input type="submit"  class="auth_login" value="Загрузить">
</form></div>';

echo "<div class='wrapper mt2'>";

if(!empty($user['avatars']))echo "<a href='?delete' > Удалить текущий аватар</a>";
echo "</div>";


require_once ('system/footer.php');
?>
